# uopz_copy

(PECL uopz 1 >= 1.0.4, PECL uopz 2)

uopz_copy — Copy a function

Warnung

Diese Funktion wurde mit PECL uopz 5.0.0 ENTFERNT.

### Beschreibung

uopz_copy(string `$function`): Closure
uopz_copy(string `$class`, string `$function`): Closure

Copy a function by name

### Parameter-Liste

`class`

  The name of the class containing the function to copy

`function`

  The name of the function

### Rückgabewerte

A Closure for the specified function

### Beispiele

Beispiel #1 uopz_copy() example

`<?php
$strtotime = uopz_copy('strtotime');
uopz_function("strtotime", function($arg1, $arg2) use($strtotime) {
/* can call original strtotime from here */
var_dump($arg1);
});
var_dump(strtotime('dummy'));
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(5) "dummy"

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open